#import "App_NameAppDelegate.h"
#import "App_NameMenu.h"


NSString * const LaunchWithMenu = @"LaunchWithMenu";
NSString * const ApplicationModeKey = @"ApplicationModeKey";
NSString * const BlueSquareOriginX = @"BlueSquareOriginX";
NSString * const BlueSquareOriginY = @"BlueSquareOriginY";
NSString * const RedSquareOriginX = @"RedSquareOriginX";
NSString * const RedSquareOriginY = @"RedSquareOriginY";


@implementation App_NameAppDelegate
@synthesize window, App_NameMenuClass;


+ (void)initialize
	{
	//Set Factory User Defaults
	NSMutableDictionary *userDefaultsDictionary = [NSMutableDictionary dictionary];
	[userDefaultsDictionary setObject:[NSNumber numberWithBool:YES] forKey:LaunchWithMenu];
	[userDefaultsDictionary setObject:[NSNumber numberWithInt:0] forKey:ApplicationModeKey];

	[userDefaultsDictionary setObject:[NSNumber numberWithFloat:100.0] forKey:RedSquareOriginX];
	[userDefaultsDictionary setObject:[NSNumber numberWithFloat:100.0] forKey:RedSquareOriginY];

	[userDefaultsDictionary setObject:[NSNumber numberWithFloat:100.0] forKey:BlueSquareOriginX];
	[userDefaultsDictionary setObject:[NSNumber numberWithFloat:100.0] forKey:BlueSquareOriginY];
	
	//Register Factory Defaults
	NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults];
	[defaults registerDefaults:userDefaultsDictionary];
	[defaults synchronize];
	}

- (void)applicationDidFinishLaunching:(UIApplication *)application
	{
	[window addSubview:App_NameMenuClass.view];
	[window makeKeyAndVisible];
	}

- (void)dealloc
	{
	[App_NameMenuClass release];
	[window release];
	[super dealloc];
	}


@end
